@echo off
rem pack.bat
rem Robert Wenner
rem Packt die rmprot Dateien zusammen zum Download.
rem Erste lauffaehige Version vom 26.1.2000
rem
rem Es wird in jedem Schritt erst ein Grundarchiv erstellt, was
rem alle benoetigten Dateien enthaelt. Dies wird dann kopiert und
rem die von Version zu Version unterschiedlichen Dateien werden
rem hinzugefuegt.
rem Dies hat den Nebeneffekt, dass die Kommandozeile nicht zu lang
rem wird (DOS wuerde sie sonst einfach abschneiden).
rem



rem ***** Vorbereiten / Initialisieren
setenv %packer=e:\tools\winzip\winzip32.exe -min -a 
setenv %endung=.zip
setenv %transferen=*.zip

setenv %a_a=makerm.xla rmhelper.xla rmcode.xla
setenv %a_c=makerm.xls rmhelper.xls rmcode.xls rmtools.xls 
setenv %a_s=rmprot.htm gpl.txt readme.txt rmopts.xls rmref.xls rmprot.xlt layouts\*.*

setenv %alles=*.xls *.xla *.xlt rmprot.htm *.gif gpl.txt readme.txt layouts\*.*

setenv %v5a=incomp5.xla
setenv %v5c=incomp5.xls
setenv %v5b=incomp5.*
setenv %v7a=incomp7.xla
setenv %v7c=incomp7.xls
setenv %v7b=incomp7.*
setenv %v8a=incomp8.xla
setenv %v8c=incomp8.xls
setenv %v8b=incomp8.*
setenv %v9a=incomp9.xla
setenv %v9c=incomp9.xls
setenv %v9b=incomp9.*



echo ***** Packe Ausfuehrbares. *****
%packer% rmprota %a_a% %a_s%

pause

copy rmprota rmprot5a
%packer% rmprot5a %v5a%
copy rmprota rmprot7a
%packer% rmprot7a %v7a%
copy rmprota rmprot8a
%packer% rmprot8a %v8a%
copy rmprota rmprot9a
%packer% rmprot9a %v9a%
del rmprota.*


echo ***** Packe Quelltexte. *****
%packer% rmprotc %a_c%
%packer% rmprotc %a_s%
copy rmprotc rmprot5c
%packer% rmprot5c %v5c%
copy rmprotc rmprot7c
%packer% rmprot7c %v7c%
copy rmprotc rmprot8c
%packer% rmprot8c %v8c%
copy rmprotc rmprot9c
%packer% rmprot9c %v9c%
del rmprotc.*


echo ***** Packe Ausfuehrbares und Quelltexte. *****
%packer% rmprotb %a_c%
%packer% rmprotb %a_a%
%packer% rmprotb %a_s%
copy rmprotb rmprot5b
%packer% rmprot5b %v5c%
copy rmprotb rmprot7b
%packer% rmprot7b %v7c%
copy rmprotb rmprot8b
%packer% rmprot8b %v8c%
copy rmprotb rmprot9b
%packer% rmprot9b %v9c%
del rmprotb.*


echo ***** Packe Alles. *****
%packer% rmprot %alles%

echo ***** Backup und Verschieben. *****
mv %transferen% d:\transfer
echo.

